# sf::Context Class Reference

Class wrapping an OpenGL context. More...

`#include <Context.hpp>`

Inheritance diagram for sf::Context:

List of all members.

## Public Member Functions

| Context ()
| Default constructor, create the context.
| ~Context ()
| Destructor, destroy the context.
void | SetActive (bool Active)
| Activate or deactivate the context.

## Static Public Member Functions

static bool | IsContextActive ()
| Check if there's a context bound to the current thread.
static Context & | GetGlobal ()
| Get the global context.

## Detailed Description

Class wrapping an OpenGL context.

All SFML windows already have their own context, so this class is more a helper for specific issues involving OpenGL and multi-threading. It's meant to be used internally.

Definition at line 49 of file Context.hpp.

## Constructor & Destructor Documentation

sf::Context::Context | ( |  | ) |

Default constructor, create the context.

Definition at line 44 of file Context.cpp.

sf::Context::~Context | ( |  | ) |

Destructor, destroy the context.

Definition at line 53 of file Context.cpp.

## Member Function Documentation

Context & sf::Context::GetGlobal | ( |  | ) | `[static]`

Get the global context.

Returns:
  Reference to the global context

Definition at line 80 of file Context.cpp.

bool sf::Context::IsContextActive | ( |  | ) | `[static]`

Check if there's a context bound to the current thread.

Returns:
  True if there's a context bound to the current thread

Definition at line 71 of file Context.cpp.

void sf::Context::SetActive | ( | bool | Active | ) |

Activate or deactivate the context.

Parameters:

  | Active | : True to activate the context, false to deactivate it

Definition at line 62 of file Context.cpp.

The documentation for this class was generated from the following files:

- Context.hpp
- Context.cpp